org.apache.ignite.internal.processors.cache

## Class ReaderArguments

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.ReaderArguments

    public class ReaderArguments
    extends Object

Arguments required for adding near cache reader to entry.

### Constructor Summary

Constructors
Constructor and Description
`ReaderArguments(UUID reader, long msgId, AffinityTopologyVersion topVer)`

### Method Summary

Methods
`long` `messageId()`
`UUID` `reader()`
`AffinityTopologyVersion` `topologyVersion()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReaderArguments

    public ReaderArguments(UUID reader,
                   long msgId,
                   AffinityTopologyVersion topVer)

Parameters:
  `reader` - Near cache node ID.
  `msgId` - Message ID.
  `topVer` - Topology version.

### Method Detail

#### reader

    public UUID reader()

Returns:
  Reader node ID.

#### messageId

    public long messageId()

Returns:
  Message ID.

#### topologyVersion

    public AffinityTopologyVersion topologyVersion()

Returns:
  Topology version.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017